## org.apache.mahout.fpm.pfpgrowth.convertors
Class SequenceFileOutputCollector<K extends org.apache.hadoop.io.Writable,V extends org.apache.hadoop.io.Writable>

    java.lang.Object
      org.apache.mahout.fpm.pfpgrowth.convertors.SequenceFileOutputCollector<K,V>

Type Parameters:
  `K` -
  `V` -

All Implemented Interfaces:
  org.apache.hadoop.mapred.OutputCollector<K,V>

    public class SequenceFileOutputCollector<K extends org.apache.hadoop.io.Writable,V extends org.apache.hadoop.io.Writable>

extends Object
implements org.apache.hadoop.mapred.OutputCollector<K,V>

Collects the `Writable` key and `Writable` value, and writes them into a `SequenceFile`

Constructor Summary
`SequenceFileOutputCollector(org.apache.hadoop.io.SequenceFile.Writer writer)`

Method Summary
`void` `collect(K key, V value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceFileOutputCollector

    public SequenceFileOutputCollector(org.apache.hadoop.io.SequenceFile.Writer writer)

Method Detail

### collect

    public final void collect(K key,
                              V value)
                       throws IOException

  Specified by:
    `collect` in interface `org.apache.hadoop.mapred.OutputCollector<K extends org.apache.hadoop.io.Writable,V extends org.apache.hadoop.io.Writable>`
  Throws:
    `IOException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.